Memberships
GET
/me/memberships
Retrieve a list of all organizations the user is a member of
Parametri di query
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
status
string
Possible values: banned, invited, active
Payload della risposta
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
obbligatorio
Mostra attributi secondari
results.organization
object
obbligatorio
The organization record
Mostra attributi secondari
results.organization.id
string
obbligatorio
The organization's ID
results.organization.name
string
obbligatorio
Organization's display name.
results.organization.slug
string
obbligatorio
Human-readable identifier
results.organization.avatarUrl
string
URL to the organization avatar.
results.organization.status
string
obbligatorio
Current status
Possible values: active, banned
results.organization.statusReason
string
The reason for the organization's status (if any).
results.organization.pendingMemberCount
integer
How many members are pending to join the organization
results.organization.activeMemberCount
integer
obbligatorio
How many members are active
results.organization.owner
string
obbligatorio
ID of the user that owns the organization
results.organization.createdAt
string
obbligatorio
When the organization was created
results.organization.updatedAt
string
When the organization was last updated
results.organization.managedBy
array of object
List of entities managing the organization
Mostra attributi secondari
results.organization.managedBy.Type
string
Type of the entity managing the organization
results.organization.managedBy.ID
string
ID of the entity managing the organization
results.organization.verified
boolean
results.status
string
obbligatorio
The status of user's membership on the organization.
Possible values: banned, invited, active
results.createdAt
string
obbligatorio
When the membership was created.
results.updatedAt
string
obbligatorio
When the membership was last updated.
results.roleIds
array of string
IDs of IAM roles assigned to the user.
results.roleRefs
array of object
The list of roles to assign to the membership
Mostra attributi secondari
results.roleRefs.id
string
obbligatorio
results.roleRefs.type
string
obbligatorio
Possible values: organization, managed
results.roleRefs.workspaces
array of string
results.requiredSsoAuth
boolean
Indicates if SSO Authentication is required for this membership
results.requiredMfaAuth
boolean
Indicates if MFA Authentication is required for this membership
results.attributes
object
Additional attributes for the membership
Esempio di codice
curl -X GET 'https://api.bird.com/me/memberships' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/me/memberships/{organizationId}
Retrieve a single organization membership object.
Payload della risposta
organization
object
obbligatorio
The organization record
Mostra attributi secondari
organization.id
string
obbligatorio
The organization's ID
organization.name
string
obbligatorio
Organization's display name.
organization.slug
string
obbligatorio
Human-readable identifier
organization.avatarUrl
string
URL to the organization avatar.
organization.status
string
obbligatorio
Current status
Possible values: active, banned
organization.statusReason
string
The reason for the organization's status (if any).
organization.pendingMemberCount
integer
How many members are pending to join the organization
organization.activeMemberCount
integer
obbligatorio
How many members are active
organization.owner
string
obbligatorio
ID of the user that owns the organization
organization.createdAt
string
obbligatorio
When the organization was created
organization.updatedAt
string
When the organization was last updated
organization.managedBy
array of object
List of entities managing the organization
Mostra attributi secondari
organization.managedBy.Type
string
Type of the entity managing the organization
organization.managedBy.ID
string
ID of the entity managing the organization
organization.verified
boolean
status
string
obbligatorio
The status of user's membership on the organization.
Possible values: banned, invited, active
createdAt
string
obbligatorio
When the membership was created.
updatedAt
string
obbligatorio
When the membership was last updated.
roleIds
array of string
IDs of IAM roles assigned to the user.
roleRefs
array of object
The list of roles to assign to the membership
Mostra attributi secondari
roleRefs.id
string
obbligatorio
roleRefs.type
string
obbligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
requiredSsoAuth
boolean
Indicates if SSO Authentication is required for this membership
requiredMfaAuth
boolean
Indicates if MFA Authentication is required for this membership
attributes
object
Additional attributes for the membership
Esempio di codice
curl -X GET 'https://api.bird.com/me/memberships/{organizationId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/me/memberships/{organizationId}
Accept a pending invitation to join the organization.
Payload della risposta
organization
object
obbligatorio
The organization record
Mostra attributi secondari
organization.id
string
obbligatorio
The organization's ID
organization.name
string
obbligatorio
Organization's display name.
organization.slug
string
obbligatorio
Human-readable identifier
organization.avatarUrl
string
URL to the organization avatar.
organization.status
string
obbligatorio
Current status
Possible values: active, banned
organization.statusReason
string
The reason for the organization's status (if any).
organization.pendingMemberCount
integer
How many members are pending to join the organization
organization.activeMemberCount
integer
obbligatorio
How many members are active
organization.owner
string
obbligatorio
ID of the user that owns the organization
organization.createdAt
string
obbligatorio
When the organization was created
organization.updatedAt
string
When the organization was last updated
organization.managedBy
array of object
List of entities managing the organization
Mostra attributi secondari
organization.managedBy.Type
string
Type of the entity managing the organization
organization.managedBy.ID
string
ID of the entity managing the organization
organization.verified
boolean
status
string
obbligatorio
The status of user's membership on the organization.
Possible values: banned, invited, active
createdAt
string
obbligatorio
When the membership was created.
updatedAt
string
obbligatorio
When the membership was last updated.
roleIds
array of string
IDs of IAM roles assigned to the user.
roleRefs
array of object
The list of roles to assign to the membership
Mostra attributi secondari
roleRefs.id
string
obbligatorio
roleRefs.type
string
obbligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
requiredSsoAuth
boolean
Indicates if SSO Authentication is required for this membership
requiredMfaAuth
boolean
Indicates if MFA Authentication is required for this membership
attributes
object
Additional attributes for the membership
Esempio di codice
curl -X POST 'https://api.bird.com/me/memberships/{organizationId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/me/memberships/{organizationId}
Remove the membership from the organization for the current user
Esempio di codice
curl -X DELETE 'https://api.bird.com/me/memberships/{organizationId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'